org.apache.maven.artifact.manager

## Class WagonComponentConfigurator

- java.lang.Object
- - AbstractComponentConfigurator
  - - org.apache.maven.artifact.manager.WagonComponentConfigurator

    public class WagonComponentConfigurator
    extends AbstractComponentConfigurator

Custom configurator that removes the unnecessary addition of a new converter that caused a thread synchronization issue. Once fixed in Plexus, this custom component can be removed.

### Constructor Summary

Constructors
Constructor and Description
`WagonComponentConfigurator()`

### Method Summary

Methods
`void` `configureComponent(java.lang.Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ClassRealm containerRealm, ConfigurationListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WagonComponentConfigurator

    public WagonComponentConfigurator()

### Method Detail

#### configureComponent

    public void configureComponent(java.lang.Object component,
                          PlexusConfiguration configuration,
                          ExpressionEvaluator expressionEvaluator,
                          ClassRealm containerRealm,
                          ConfigurationListener listener)
                            throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`